Skip to main content
POST
/
crm
/
objects
/
2026-03
/
{objectType}
/
merge
Merge two appointments
curl --request POST \
  --url https://api.hubapi.com/crm/objects/2026-03/{objectType}/merge \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "objectIdToMerge": "<string>",
  "primaryObjectId": "<string>"
}
'
{
  "archived": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "properties": {},
  "updatedAt": "2023-11-07T05:31:56Z",
  "archivedAt": "2023-11-07T05:31:56Z",
  "objectWriteTraceId": "<string>",
  "propertiesWithHistory": {},
  "url": "<string>"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

objectType
string
required

Body

application/json

Input data for merging two records.

objectIdToMerge
string
required

The object ID to merge with the primary object.

primaryObjectId
string
required

The object ID of the primary object to merge.

Response

successful operation

A simple public object.

archived
boolean
required

Whether the object is archived.

createdAt
string<date-time>
required

The timestamp when the object was created, in ISO 8601 format.

id
string
required

The unique ID of the object.

properties
object
required

Key-value pairs representing the properties of the object.

updatedAt
string<date-time>
required

The timestamp when the object was last updated, in ISO 8601 format.

archivedAt
string<date-time>

The timestamp when the object was archived, in ISO 8601 format.

objectWriteTraceId
string

Unique ID to identify each write operation, which will be returned with any errors to identify which request encountered which error.

propertiesWithHistory
object

Key-value pairs representing the properties of the object along with their history.

url
string

URL to go to the object

Last modified on March 30, 2026